/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.TipoVenta;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Administrador
 */
public class RenderTipoVenta implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        TipoVenta tipoVenta = (TipoVenta) o;

        Listcell lc = new Listcell(tipoVenta.getTipoventaId().toString());
        lc.setParent(lstm);

        lc = new Listcell(tipoVenta.getDesctipoventa());
        lc.setParent(lstm);

        lstm.setAttribute("data", tipoVenta);
    }
}
